cordova.define("com.jiedaibao.sensors.SensorsTrack", function (require, exports, module) {
    var exec = require('cordova/exec');
    function extend(obj, ext) {
        for (var i in ext) {
            if (ext.hasOwnProperty(i)) {
            obj[i] = ext[i];
            }
        }
        return obj;
    }
    module.exports = {
        /**
         * 事件点击回调
         * @param currentPage   点击事件所在的页面路由地址
         * @param url           点击事件发起的请求地址
         * @param successCallback
         * @param errorCallback
         */
        logClickEvent: function (currentPage, url, successCallback, errorCallback, opts) {
            opts = opts || {};
            opts = extend({
                currentPage: currentPage,
                url: url
            }, opts);
            exec(
                successCallback,
                errorCallback,
                'SensorsTrack',
                'logClickEvent',
                [
                    opts
                ]
            );
        },

        /**
         * 页面点击回调
         * @param fromPage  当前页面
         * @param toPage    跳转页面
         * @param successCallback
         * @param errorCallback
         */
        logPageEvent: function (fromPage, toPage, successCallback, errorCallback, opts) {
            opts = opts || {};
            opts = extend({
                fromPage: fromPage,
                toPage: toPage
            }, opts);
            exec(
                successCallback,
                errorCallback,
                'SensorsTrack',
                'logPageEvent',
                [
                    opts
                ]
            );
        },

        /**
         * 获取页面的Hash值（二级路由）
         * @param pageHash  页面的hash值
         * @param successCallback
         * @param errorCallback
         */
        setPageHash: function (pageHash, successCallback, errorCallback) {
            exec(
                successCallback,
                errorCallback,
                'SensorsTrack',
                'getPageHash',
                [{
                    "pageHash": pageHash
                }]
            );
        }
    }
});